<?php
namespace Teknisa\PLA\Modules\Cardapio\Controllers;

use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Request\Filter;

class NutrtrabJoinNutriente extends \Teknisa\GER\Controllers\TeknisaCrud {

    private $connection;

    protected $dataSourceName = "nutrtrab_join_nutriente";
    protected $parameterBagColumns = array(
        "NRSEQUNUTR",
        "CDFILINUTR",
        "CDSERVNUTR",
        "DTREFENUTR",
        "CDPRATNUTR",
        "NRSEQPRATNUT",
        "NRORG"
    );

    function findNutrientes(Filter $request, Response $response) {
        try {
            $this->find($request, $response);
        } catch(\Exception $e) {
            $response->setError(new Error("Could not retrieve data". $e->getMessage(), 500));
        }
    }
}